ccc
ccc   altitude regions for aerosol extinction coefficients
ccc
ccc
ccc         0-2km
ccc           rurext=rural extinction   rurabs=rural absorption
ccc           rursym=rural asymmetry factors
ccc           urbext=urban extinction   urbabs=urban absorption
ccc           urbsym=urban asymmetry factors
ccc           ocnext=maritime extinction  ocnabs=maritime absorption
ccc           ocnsym=maritime asymmetry factors
ccc           troext=tropspher extinction  troabs=tropospher absorption
ccc           trosym=tropspheric asymmetry factors
ccc           fg1ext=fog1 .2km vis extinction  fg1abs=fog1 absorption
ccc           fg1sym=fog1 asymmetry factors
ccc           fg2ext=fog2 .5km vis extinction  fg2abs=fog2 absorption
ccc           fg2sym=fog2 asymmetry factors
ccc         >2-10km
ccc           troext=tropospher extinction  troabs=tropospher absorption
ccc           trosym=tropospheric asymmetry factors
ccc         >10-30km
ccc           bstext=background stratospheric extinction
ccc           bstabs=background stratospheric absorption
ccc           bstsym=background stratospheric asymmetry factors
ccc           avoext=aged volcanic extinction
ccc           avoabs=aged volcanic absorption
ccc           avosym=aged volcanic asymmetry factors
ccc           fvoext=fresh volcanic extinction
ccc           fvoabs=fresh volcanic absorption
ccc           fvosym=fresh volcanic asymmetry factors
ccc         >30-100km
ccc           dmeext=meteoric dust extinction
ccc           dmeabs=meteoric dust absorption
ccc           dmesym=meteoric dust asymmetry factors
c
c     aerosol extinction and absorption data
c
c     modified to include asymmetry data - jan 1986 (a.e.r. inc.)
c
c         ci64--    standard  cirrus  cloud  model
c              ice 64 micron mode radius cirrus cloud model
c
c         cir4--    optically  thin  cirrus  model
c              ice  4 micron mode radius cirrus cloud model
c
      INTEGER aerdim, ii
      PARAMETER (aerdim=47)
      REAL vx2(aerdim),
     $     rurext(aerdim,4), rurabs(aerdim,4), rursym(aerdim,4),
     $     urbext(aerdim,4), urbabs(aerdim,4), urbsym(aerdim,4),
     $     ocnext(aerdim,4), ocnabs(aerdim,4), ocnsym(aerdim,4),
     $     troext(aerdim,4), troabs(aerdim,4), trosym(aerdim,4),
     $     fg1ext(aerdim), fg1abs(aerdim), fg1sym(aerdim),
     $     fg2ext(aerdim), fg2abs(aerdim), fg2sym(aerdim),
     $     bstext(aerdim), bstabs(aerdim), bstsym(aerdim),
     $     avoext(aerdim), avoabs(aerdim), avosym(aerdim),
     $     fvoext(aerdim), fvoabs(aerdim), fvosym(aerdim),
     $     dmeext(aerdim), dmeabs(aerdim), dmesym(aerdim),
     $     ccuext(aerdim), ccuabs(aerdim), ccusym(aerdim),
     $     calext(aerdim), calabs(aerdim), calsym(aerdim),
     $     cstext(aerdim), cstabs(aerdim), cstsym(aerdim),
     $     cscext(aerdim), cscabs(aerdim), cscsym(aerdim),
     $     cniext(aerdim), cniabs(aerdim), cnisym(aerdim) 
*
      REAL  ci64xt(aerdim),ci64ab(aerdim),ci64g(aerdim),
     $     cir4xt(aerdim),cir4ab(aerdim),cir4g(aerdim)
*
*     Wavelength, microns
*
      data vx2 /
     *   .2000,   .3000,   .3371,   .5500,
     $      .6943,  1.0600,  1.5360,
     *  2.0000,  2.2500,  2.5000,  2.7000,
     $      3.0000,  3.3923,  3.7500,
     *  4.5000,  5.0000,  5.5000,  6.0000,
     $      6.2000,  6.5000,  7.2000,
     *  7.9000,  8.2000,  8.7000,  9.0000,
     $      9.2000, 10.0000, 10.5910,
     * 11.0000, 11.5000, 12.5000, 14.8000,
     $      15.0000, 16.4000, 17.2000,
     * 18.5000, 21.3000, 25.0000, 30.0000,
     $      40.0000, 50.0000, 60.0000,
     * 80.0000, 100.000, 150.000, 200.000,
     $      300.000/
      data ( rurext(ii,1), ii=1,47) /
     1 2.09291, 1.74582, 1.60500, 1.00000,
     $     .75203,  .41943,  .24070,
     2  .14709,  .13304,  .12234,  .13247,
     $     .11196,  .10437,  .09956,
     3  .09190,  .08449,  .07861,  .07025,
     $     .07089,  .07196,  .07791,
     4  .04481,  .04399,  .12184,  .12658,
     $     .12829,  .09152,  .08076,
     5  .07456,  .06880,  .06032,  .04949,
     $     .05854,  .06000,  .06962,
     6  .05722,  .06051,  .05177,  .04589,
     $     .04304,
     7  .03582,  .03155,  .02018,  .01469,
     $     .00798,  .00551, 0./
      data ( rurext(ii,2), ii=1,47) /
     1 2.09544, 1.74165, 1.59981, 1.00000,
     $     .75316,  .42171,  .24323,
     2  .15108,  .13608,  .12430,  .13222,
     $     .13823,  .11076,  .10323,
     3  .09475,  .08728,  .08076,  .07639,
     $     .07797,  .07576,  .07943,
     4  .04899,  .04525,  .12165,  .12741,
     $     .12778,  .09032,  .07962,
     5  .07380,  .06880,  .06329,  .05791,
     $     .06646,  .06639,  .07443,
     6  .06304,  .06443,  .05538,  .04867,
     $     .04519,
     7  .03821,  .03374,  .02173,  .01587,
     $     .00862,  .00594, 0./
      data ( rurext(ii,3), ii=1,47) /
     1 2.07082, 1.71456, 1.57962, 1.00000,
     $     .76095,  .43228,  .25348,
     2  .16456,  .14677,  .13234,  .13405,
     $     .20316,  .12873,  .11506,
     3  .10481,  .09709,  .08918,  .09380,
     $     .09709,  .08791,  .08601,
     4  .06247,  .05601,  .11905,  .12595,
     $     .12348,  .08741,  .07703,
     5  .07266,  .07044,  .07443,  .08146,
     $     .08810,  .08563,  .08962,
     6  .08051,  .07677,  .06658,  .05747,
     $     .05184,
     7  .04572,  .04074,  .02689,  .01981,
     $     .01084,  .00714, 0./
      data ( rurext(ii,4), ii=1,47) /
     1 1.66076, 1.47886, 1.40139, 1.00000,
     $     .80652,  .50595,  .32259,
     2  .23468,  .20772,  .18532,  .17348,
     $     .35114,  .20006,  .17386,
     3  .16139,  .15424,  .14557,  .16215,
     $     .16766,  .14994,  .14032,
     4  .12968,  .12601,  .13551,  .13582,
     $     .13228,  .11070,  .09994,
     5  .09873,  .10418,  .13241,  .15924,
     $     .16139,  .15949,  .15778,
     6  .15184,  .13848,  .12563,  .11076,
     $     .09601,
     7  .09312,  .08720,  .06644,  .05264,
     $     .03181,  .02196, 0.0/
      data ( rurabs(ii,1), ii=1,47) /
     1  .67196,  .11937,  .08506,  .05930,
     $     .05152,  .05816,  .05006,
     2  .01968,  .02070,  .02101,  .05652,
     $     .02785,  .01316,  .00867,
     3  .01462,  .01310,  .01627,  .02013,
     $     .02165,  .02367,  .03538,
     4  .02823,  .03962,  .06778,  .07285,
     $     .08120,  .04032,  .03177,
     5  .02557,  .02342,  .02177,  .02627,
     $     .03943,  .03114,  .03696,
     6  .02956,  .03500,  .03241,  .03297,
     $     .03380,
     7  .03170,  .02794,  .01769,  .01305,
     $     .00730,  .00518, 0.0/
      data ( rurabs(ii,2), ii=1,47) /
     1  .62968,  .10816,  .07671,  .05380,
     $     .04684,  .05335,  .04614,
     2  .01829,  .01899,  .01962,  .05525,
     $     .06816,  .01652,  .00867,
     3  .01544,  .01373,  .01627,  .02892,
     $     .02829,  .02532,  .03487,
     4  .02835,  .03854,  .06684,  .07272,
     $     .08038,  .03987,  .03247,
     5  .02816,  .02816,  .03101,  .03741,
     $     .04829,  .04032,  .04399,
     6  .03734,  .03956,  .03601,  .03525,
     $     .03563,
     7 .03357,  .02965,  .01887,  .01395,
     $     .00782,  .00555, 0.0/
      data ( rurabs(ii,3), ii=1,47) /
     1  .51899,  .08278,  .05816,  .04082,
     $     .03570,  .04158,  .03620,
     2  .01513,  .01481,  .01633,  .05278,
     $     .13690,  .02494,  .00886,
     3  .01804,  .01582,  .01677,  .04816,
     $     .04367,  .03013,  .03443,
     4  .02930,  .03677,  .06209,  .06911,
     $     .07475,  .03892,  .03494,
     5  .03513,  .03968,  .05152,  .06241,
     $     .06937,  .06203,  .06215,
     6  .05614,  .05209,  .04608,  .04196,
     $     .04095,
     7  .03916,  .03486,  .02262,  .01686,
     $     .00951,  .00674, 0.0/
      data ( rurabs(ii,4), ii=1,47) /
     1  .21943,  .02848,  .01943,  .01342,
     $     .01171,  .01437,  .01323,
     2  .01152,  .00696,  .01329,  .06108,
     $     .24690,  .05323,  .01430,
     3  .03361,  .02949,  .02652,  .09437,
     $     .08506,  .05348,  .04627,
     4  .04380,  .04557,  .05380,  .05715,
     $     .05899,  .04861,  .05253,
     5  .06171,  .07437,  .10152,  .12019,
     $     .12190,  .11734,  .11411,
     6  .10766,  .09487,  .08430,  .07348,
     $     .06861,
     7  .06936,  .06458,  .04735,  .03761,
     $     .02313,  .01668, 0.0/
      data ( rursym(ii,1), ii=1,47) /
     1  .7581,   .6785,   .6712,   .6479,
     $     .6342,   .6176,   .6334,
     2  .7063,   .7271,   .7463,   .7788,
     $     .7707,   .7424,   .7312,
     3  .7442,   .7516,   .7662,   .7940,
     $     .7886,   .7797,   .7664,
     4  .8525,   .8700,   .5846,   .5570,
     $     .5992,   .6159,   .6271,
     5  .6257,   .6374,   .6546,   .6861,
     $     .6859,   .6120,   .5570,
     6  .5813,   .5341,   .5284,   .5137,
     $     .4348,   .4223,   .3775,
     7  .3435,   .3182,   .2791,   .2494,
     $     .0000/
      data ( rursym(ii,2), ii=1,47) /
     1  .7632,   .6928,   .6865,   .6638,
     $     .6498,   .6314,   .6440,
     2  .7098,   .7303,   .7522,   .7903,
     $     .7804,   .7380,   .7319,
     3  .7508,   .7584,   .7738,   .8071,
     $     .7929,   .7843,   .7747,
     4  .8507,   .8750,   .6112,   .5851,
     $     .6272,   .6466,   .6616,
     5  .6653,   .6798,   .6965,   .7026,
     $     .6960,   .6360,   .5848,
     6  .6033,   .5547,   .5445,   .5274,
     $     .4518,   .4318,   .3863,
     7  .3516,   .3257,   .2853,   .2548,
     $     .0000/
      data ( rursym(ii,3), ii=1,47) /
     1  .7725,   .7240,   .7197,   .6997,
     $     .6858,   .6650,   .6702,
     2  .7181,   .7378,   .7653,   .8168,
     $     .7661,   .7286,   .7336,
     3  .7654,   .7735,   .7910,   .8303,
     $     .8025,   .7957,   .7946,
     4  .8468,   .8734,   .6831,   .6619,
     $     .6994,   .7250,   .7449,
     5  .7547,   .7665,   .7644,   .7265,
     $     .7170,   .6769,   .6409,
     6  .6442,   .6031,   .5854,   .5646,
     $     .4977,   .4602,   .4127,
     7  .3751,   .3476,   .3048,   .2721,
     $     .0000/
      data ( rursym(ii,4), ii=1,47) /
     1  .7778,   .7793,   .7786,   .7717,
     $     .7628,   .7444,   .7365,
     2  .7491,   .7609,   .7921,   .8688,
     $     .7537,   .7294,   .7413,
     3  .7928,   .8016,   .8225,   .8761,
     $     .8359,   .8285,   .8385,
     4  .8559,   .8654,   .8414,   .8415,
     $     .8527,   .8740,   .8903,
     5  .8952,   .8923,   .8611,   .8033,
     $     .7989,   .7758,   .7632,
     6  .7508,   .7314,   .7091,   .6867,
     $     .6419,   .5790,   .5259,
     7  .4749,   .4415,   .3886,   .3489,
     $     .0000/
      data ( urbext(ii,1), ii=1,47) /
     1 1.88816, 1.63316, 1.51867, 1.00000,
     $     .77785,  .47095,  .30006,
     2  .21392,  .19405,  .17886,  .18127,
     $     .16133,  .14785,  .14000,
     3  .12715,  .11880,  .11234,  .10601,
     $     .10500,  .10361,  .10342,
     4  .08766,  .08652,  .11937,  .12139,
     $     .12297,  .09797,  .09057,
     5  .08595,  .08196,  .07563,  .06696,
     $     .07209,  .06842,  .07177,
     6  .06354,  .06177,  .05373,  .04728,
     $     .04051,
     7  .03154,  .02771,  .01759,  .01278,
     $     .00693,  .00480, 0.0/
      data ( urbext(ii,2), ii=1,47) /
     1 1.95582, 1.64994, 1.53070, 1.00000,
     $     .77614,  .46639,  .29487,
     2  .21051,  .18943,  .17285,  .17209,
     $     .21418,  .15354,  .14051,
     3  .12728,  .11861,  .11089,  .11329,
     $     .11323,  .10563,  .10247,
     4  .08696,  .08361,  .12013,  .12418,
     $     .12304,  .09614,  .08842,
     5  .08487,  .08285,  .08361,  .08430,
     $     .08880,  .08449,  .08601,
     6  .07835,  .07323,  .06367,  .05500,
     $     .04747,
     7  .03901,  .03454,  .02240,  .01638,
     $     .00891,  .00612, 0.0/
      data ( urbext(ii,3), ii=1,47) /
     1 1.96430, 1.64032, 1.52392, 1.00000,
     $     .77709,  .46253,  .28690,
     2  .20310,  .17981,  .16101,  .15614,
     $     .26475,  .15456,  .13563,
     3  .12215,  .11361,  .10500,  .11715,
     $     .11753,  .10392,  .09766,
     4  .08443,  .08057,  .10943,  .11342,
     $     .11063,  .08703,  .08025,
     5  .07886,  .08032,  .09101,  .10070,
     $     .10386,  .09943,  .09886,
     6  .09152,  .08247,  .07152,  .06089,
     $     .05253,
     7  .04582,  .04091,  .02717,  .02008,
     $     .01103,  .00754, 0.0/
      data ( urbext(ii,4), ii=1,47) /
     1 1.41266, 1.33816, 1.29114, 1.00000,
     $     .83646,  .55025,  .35342,
     2  .25285,  .21576,  .18310,  .16215,
     $     .37854,  .20494,  .16665,
     3  .14778,  .13892,  .12943,  .15525,
     $     .15709,  .13513,  .12481,
     4  .11759,  .11494,  .11487,  .11329,
     $     .11108,  .09911,  .09209,
     5  .09342,  .10120,  .13177,  .15696,
     $     .15766,  .15513,  .15203,
     6  .14532,  .13038,  .11785,  .10411,
     $     .09101,
     7  .08907,  .08399,  .06579,  .05337,
     $     .03372,  .02379, 0.0/
      data ( urbabs(ii,1), ii=1,47) /
     1  .78437,  .58975,  .54285,  .36184,
     $     .29222,  .20886,  .15658,
     2  .12329,  .11462,  .10747,  .11797,
     $     .10025,  .08759,  .08184,
     3  .07506,  .07006,  .06741,  .06601,
     $     .06544,  .06449,  .06665,
     4  .06278,  .06949,  .07316,  .07462,
     $     .08101,  .05753,  .05272,
     5  .04899,  .04734,  .04494,  .04443,
     $     .05133,  .04348,  .04443,
     6  .03994,  .03981,  .03633,  .03468,
     $     .03146,
     7  .02809,  .02471,  .01556,  .01145,
     $     .00639,  .00454, 0.0/
      data ( urbabs(ii,2), ii=1,47) /
     1  .69032,  .49367,  .45165,  .29741,
     $     .24070,  .17399,  .13146,
     2  .10354,  .09589,  .09025,  .10411,
     $     .15101,  .07880,  .06949,
     3  .06570,  .06095,  .05829,  .07171,
     $     .06797,  .05975,  .06013,
     4  .05589,  .06051,  .07139,  .07494,
     $     .07956,  .05525,  .05184,
     5  .05089,  .05291,  .05886,  .06380,
     $     .06880,  .06127,  .06019,
     6  .05525,  .05070,  .04500,  .04076,
     $     .03741,
     7  .03400,  .03010,  .01926,  .01427,
     $     .00800,  .00567, 0.0/
      data ( urbabs(ii,3), ii=1,47) /
     1  .54848,  .37101,  .33734,  .21949,
     $     .17785,  .12968,  .09854,
     2  .07804,  .07165,  .06791,  .08563,
     $     .19639,  .06722,  .05316,
     3  .05316,  .04886,  .04620,  .07570,
     $     .06899,  .05291,  .05101,
     4  .04734,  .05025,  .06171,  .06570,
     $     .06854,  .04892,  .04797,
     5  .05057,  .05665,  .07127,  .08095,
     $     .08411,  .07728,  .07475,
     6  .06886,  .06019,  .05222,  .04538,
     $     .04171,
     7  .03911,  .03486,  .02271,  .01697,
     $     .00961,  .00681, 0.0/
      data ( urbabs(ii,4), ii=1,47) /
     1  .15975,  .10000,  .09013,  .05785,
     $     .04671,  .03424,  .02633,
     2  .02525,  .01975,  .02354,  .06241,
     $     .26690,  .05810,  .02285,
     3  .03810,  .03386,  .03044,  .09627,
     $     .08557,  .05405,  .04576,
     4  .04392,  .04424,  .04671,  .04791,
     $     .04861,  .04684,  .05177,
     5  .06158,  .07475,  .10342,  .12146,
     $     .12177,  .11734,  .11335,
     6  .10608,  .09171,  .08063,  .06968,
     $     .06475,
     7  .06559,  .06131,  .04591,  .03714,
     $     .02365,  .01734, 0.0/
      data ( urbsym(ii,1), ii=1,47) /
     1  .7785,   .7182,   .7067,   .6617,
     $     .6413,   .6166,   .6287,
     2  .6883,   .7070,   .7243,   .7370,
     $     .7446,   .7391,   .7371,
     3  .7414,   .7435,   .7466,   .7543,
     $     .7498,   .7424,   .7270,
     4  .7674,   .7850,   .5880,   .5616,
     $     .5901,   .6159,   .6238,
     5  .6240,   .6281,   .6306,   .6298,
     $     .6252,   .5785,   .5378,
     6  .5512,   .5072,   .4930,   .4709,
     $     .4009,   .4110,   .3672,
     7  .3344,   .3093,   .2717,   .2426,
     $     .0000/
      data ( urbsym(ii,2), ii=1,47) /
     1  .7906,   .7476,   .7385,   .6998,
     $     .6803,   .6536,   .6590,
     2  .7066,   .7258,   .7484,   .7769,
     $     .7405,   .7351,   .7459,
     3  .7625,   .7673,   .7759,   .7910,
     $     .7732,   .7703,   .7644,
     4  .7966,   .8142,   .6635,   .6428,
     $     .6700,   .6935,   .7050,
     5  .7092,   .7145,   .7094,   .6762,
     $     .6684,   .6316,   .5997,
     6  .6013,   .5625,   .5433,   .5198,
     $     .4552,   .4387,   .3928,
     7  .3575,   .3310,   .2899,   .2588,
     $     .0000/
      data ( urbsym(ii,3), ii=1,47) /
     1  .7949,   .7713,   .7650,   .7342,
     $     .7162,   .6873,   .6820,
     2  .7131,   .7312,   .7583,   .8030,
     $     .7171,   .7185,   .7400,
     3  .7698,   .7778,   .7923,   .8142,
     $     .7864,   .7867,   .7891,
     4  .8147,   .8298,   .7276,   .7136,
     $     .7361,   .7590,   .7729,
     5  .7783,   .7808,   .7624,   .7094,
     $     .7022,   .6714,   .6480,
     6  .6417,   .6104,   .5887,   .5651,
     $     .5058,   .4692,   .4212,
     7  .3825,   .3549,   .3112,   .2778,
     $     .0000/
      data ( urbsym(ii,4), ii=1,47) /
     1  .7814,   .7993,   .7995,   .7948,
     $     .7870,   .7682,   .7751,
     2  .7501,   .7565,   .7809,   .8516,
     $     .7137,   .7039,   .7241,
     3  .7728,   .7846,   .8093,   .8576,
     $     .8125,   .8140,   .8304,
     4  .8472,   .8549,   .8525,   .8569,
     $     .8640,   .8853,   .9017,
     5  .9061,   .9021,   .8685,   .8126,
     $     .8091,   .7897,   .7802,
     6  .7691,   .7550,   .7353,   .7146,
     $     .6754,   .6134,   .5601,
     7  .5056,   .4701,   .4134,   .3714,
     $     .0000/
      data ( ocnext(ii,1), ii=1,47) /
     1 1.47576, 1.32614, 1.26171, 1.00000,
     $     .88133,  .70297,  .56487,
     2  .46006,  .42044,  .38310,  .35076,
     $     .42266,  .32278,  .28810,
     3  .24905,  .21184,  .16734,  .14791,
     $     .21532,  .15076,  .12057,
     4  .10038,  .10703,  .15070,  .15665,
     $     .14639,  .10228,  .08367,
     5  .07373,  .06829,  .05044,  .04373,
     $     .04962,  .06158,  .07703,
     6  .07234,  .06297,  .05481,  .05329,
     $     .08741,
     7  .04608,  .03959,  .02382,  .01712,
     $     .00936,  .00665, 0.0/
      data ( ocnext(ii,2), ii=1,47) /
     1 1.36924, 1.25443, 1.20835, 1.00000,
     $     .91367,  .77089,  .64987,
     2  .54886,  .50247,  .45038,  .38209,
     $     .50589,  .43766,  .38076,
     3  .31658,  .27475,  .22215,  .21019,
     $     .27570,  .21057,  .16949,
     4  .14209,  .14215,  .16956,  .17082,
     $     .16025,  .11665,  .09759,
     5  .09215,  .09373,  .10532,  .12570,
     $     .13000,  .13633,  .14291,
     6  .13506,  .11475,  .09658,  .08291,
     $     .10348,
     7  .06693,  .05786,  .03522,  .02519,
     $     .01358,  .00954, 0.0/
      data ( ocnext(ii,3), ii=1,47) /
     1 1.22259, 1.14627, 1.11842, 1.00000,
     $     .94766,  .87538,  .80418,
     2  .72930,  .68582,  .62165,  .49962,
     $     .67949,  .66468,  .59253,
     3  .49551,  .44671,  .37886,  .35924,
     $     .43367,  .37019,  .30842,
     4  .26437,  .25228,  .24905,  .23975,
     $     .22766,  .17804,  .15316,
     5  .15373,  .16791,  .22361,  .28348,
     $     .28677,  .29082,  .29038,
     6  .27810,  .23867,  .20209,  .16430,
     $     .14943,
     7  .12693,  .11177,  .07095,  .05084,
     $     .02690,  .01838, 0.0/
      data ( ocnext(ii,4), ii=1,47) /
     1 1.09133, 1.06601, 1.05620, 1.00000,
     $     .97506,  .94791,  .94203,
     2  .93671,  .92867,  .90411,  .80253,
     $     .89222,  .94462,  .92146,
     3  .85797,  .82595,  .76747,  .68646,
     $     .78209,  .75266,  .68658,
     4  .62722,  .60228,  .56335,  .53728,
     $     .51861,  .43449,  .37196,
     5  .35899,  .37316,  .46854,  .58234,
     $     .58690,  .60348,  .60563,
     6  .60000,  .55392,  .50367,  .43576,
     $     .35949,
     7  .34729,  .32254,  .23600,  .17953,
     $     .10071,  .06714, 0.0/
      data ( ocnabs(ii,1), ii=1,47) /
     1  .30987,  .04354,  .02880,  .01797,
     $     .01468,  .01766,  .01582,
     2  .00816,  .01146,  .01677,  .03310,
     $     .03380,  .00715,  .00443,
     3  .00500,  .00601,  .00753,  .01595,
     $     .02943,  .00994,  .01367,
     4  .01671,  .02538,  .03481,  .03405,
     $     .03601,  .01608,  .01310,
     5  .01152,  .01082,  .01070,  .01563,
     $     .02063,  .03171,  .03810,
     6  .03741,  .03804,  .03759,  .04209,
     $     .07892,
     7  .04347,  .03754,  .02269,  .01649,
     $     .00917,  .00657, 0.0/
      data ( ocnabs(ii,2), ii=1,47) /
     1  .23367,  .03127,  .02070,  .01297,
     $     .01063,  .01285,  .01190,
     2  .00937,  .00911,  .01576,  .05576,
     $     .23487,  .03949,  .00905,
     3  .02057,  .01816,  .01665,  .08025,
     $     .08044,  .03677,  .03139,
     4  .03190,  .03766,  .04532,  .04544,
     $     .04715,  .03405,  .03614,
     5  .04329,  .05424,  .07823,  .09728,
     $     .10057,  .10247,  .10222,
     6  .09551,  .08241,  .07158,  .06506,
     $     .09203,
     7  .06133,  .05332,  .03258,  .02366,
     $     .01308,  .00932, 0.0/
      data ( ocnabs(ii,3), ii=1,47) /
     1  .13025,  .01557,  .01013,  .00646,
     $     .00532,  .00665,  .00722,
     2  .01335,  .00728,  .01810,  .09835,
     $     .37329,  .09703,  .01968,
     3  .05114,  .04342,  .03709,  .17456,
     $     .16468,  .08785,  .06880,
     4  .06589,  .06791,  .07247,  .07329,
     $     .07449,  .07025,  .07962,
     5  .09899,  .12481,  .17867,  .22019,
     $     .22228,  .22051,  .21595,
     6  .20335,  .17278,  .14677,  .12171,
     $     .12430,
     7  .10890,  .09644,  .06106,  .04465,
     $     .02457,  .01732, 0.0/
      data ( ocnabs(ii,4), ii=1,47) /
     1  .03506,  .00323,  .00215,  .00139,
     $     .00114,  .00171,  .00532,
     2  .03082,  .01101,  .03741,  .20101,
     $     .47608,  .21165,  .05234,
     3  .12886,  .11215,  .09684,  .32810,
     $     .31778,  .20513,  .16658,
     4  .15956,  .15842,  .15905,  .15968,
     $     .16051,  .16506,  .18323,
     5  .21709,  .25652,  .33222,  .39639,
     $     .39854,  .40297,  .40025,
     6  .39025,  .35468,  .32006,  .27715,
     $     .25348,
     7  .25632,  .23876,  .17092,  .13198,
     $     .07692,  .05407, 0.0/
      data ( ocnsym(ii,1), ii=1,47) /
     1  .7516,   .6960,   .6920,   .6756,
     $     .6767,   .6844,   .6936,
     2  .7055,   .7110,   .7177,   .7367,
     $     .6287,   .6779,   .6784,
     3  .6599,   .6659,   .6859,   .6887,
     $     .6095,   .6558,   .6665,
     4  .6697,   .6594,   .5851,   .5644,
     $     .5760,   .5903,   .5991,
     5  .6024,   .5979,   .6087,   .5837,
     $     .5763,   .5348,   .4955,
     6  .4821,   .4635,   .4373,   .3944,
     $     .2344,   .2754,   .2447,
     7  .2266,   .2088,   .1766,   .1481,
     $     .0000/
      data ( ocnsym(ii,2), ii=1,47) /
     1  .7708,   .7288,   .7243,   .7214,
     $     .7211,   .7330,   .7445,
     2  .7579,   .7649,   .7790,   .8182,
     $     .7673,   .7171,   .7205,
     3  .7235,   .7251,   .7397,   .7537,
     $     .6934,   .7137,   .7193,
     4  .7206,   .7151,   .6732,   .6620,
     $     .6696,   .6821,   .6895,
     5  .6898,   .6819,   .6556,   .5925,
     $     .5869,   .5511,   .5284,
     6  .5124,   .4912,   .4646,   .4302,
     $     .3124,   .3101,   .2752,
     7  .2529,   .2335,   .2021,   .1738,
     $     .0000/
      data ( ocnsym(ii,3), ii=1,47) /
     1  .7954,   .7782,   .7752,   .7717,
     $     .7721,   .7777,   .7872,
     2  .8013,   .8089,   .8301,   .8844,
     $     .8332,   .7557,   .7597,
     3  .7823,   .7822,   .7944,   .8157,
     $     .7712,   .7738,   .7784,
     4  .7807,   .7800,   .7682,   .7659,
     $     .7692,   .7780,   .7828,
     5  .7776,   .7621,   .7115,   .6342,
     $     .6294,   .5999,   .5854,
     6  .5700,   .5512,   .5265,   .4996,
     $     .4236,   .3765,   .3357,
     7  .3066,   .2830,   .2466,   .2184,
     $     .0000/
      data ( ocnsym(ii,4), ii=1,47) /
     1  .8208,   .8270,   .8260,   .8196,
     $     .8176,   .8096,   .8096,
     2  .8202,   .8255,   .8520,   .9228,
     $     .8950,   .7965,   .7847,
     3  .8242,   .8244,   .8376,   .8857,
     $     .8463,   .8332,   .8379,
     4  .8441,   .8467,   .8502,   .8534,
     $     .8562,   .8688,   .8789,
     5  .8785,   .8683,   .8252,   .7562,
     $     .7519,   .7261,   .7141,
     6  .6980,   .6789,   .6540,   .6294,
     $     .5783,   .5100,   .4595,
     7  .4164,   .3868,   .3404,   .3042,
     $     .0000/
      data ( troext(ii,1), ii=1,47) /
     1 2.21222, 1.82753, 1.67032, 1.00000,
     $     .72424,  .35272,  .15234,
     2  .05165,  .03861,  .02994,  .04671,
     $     .02462,  .01538,  .01146,
     3  .01032,  .00816,  .00861,  .00994,
     $     .01057,  .01139,  .01747,
     4  .01494,  .02418,  .03165,  .03386,
     $     .04247,  .01601,  .01215,
     5  .00937,  .00861,  .00823,  .01139,
     $     .01924,  .01234,  .01348,
     6  .01114,  .01297,  .01266,  .01418,
     $     .01487,
     7  .01543,  .01321,  .00793,  .00582,
     $     .00330,  .00239, 0.0/
      data ( troext(ii,2), ii=1,47) /
     1 2.21519, 1.82266, 1.66557, 1.00000,
     $     .72525,  .35481,  .15449,
     2  .05475,  .04044,  .03082,  .04620,
     $     .05272,  .01867,  .01266,
     3  .01127,  .00886,  .00886,  .01449,
     $     .01399,  .01228,  .01728,
     4  .01475,  .02285,  .03215,  .03494,
     $     .04285,  .01652,  .01304,
     5  .01101,  .01120,  .01297,  .01753,
     $     .02468,  .01741,  .01766,
     6  .01513,  .01557,  .01456,  .01532,
     $     .01582,
     7  .01619,  .01386,  .00832,  .00610,
     $     .00346,  .00251, 0.0/
      data ( troext(ii,3), ii=1,47) /
     1 2.19082, 1.79462, 1.64456, 1.00000,
     $     .73297,  .36443,  .16278,
     2  .06468,  .04658,  .03399,  .04538,
     $     .11892,  .02835,  .01646,
     3  .01386,  .01076,  .00968,  .02551,
     $     .02222,  .01468,  .01690,
     4  .01437,  .01994,  .03127,  .03513,
     $     .04076,  .01722,  .01513,
     5  .01519,  .01791,  .02538,  .03272,
     $     .03816,  .03038,  .02886,
     6  .02551,  .02228,  .01937,  .01804,
     $     .01791,
     7  .01798,  .01539,  .00924,  .00678,
     $     .00384,  .00278, 0.0/
      data ( troext(ii,4), ii=1,47) /
     1 1.75696, 1.54829, 1.45962, 1.00000,
     $     .77816,  .43139,  .21778,
     2  .11329,  .08101,  .05506,  .04943,
     $     .25291,  .06816,  .03703,
     3  .02601,  .01968,  .01468,  .04962,
     $     .04247,  .02234,  .01797,
     4  .01532,  .01633,  .02259,  .02487,
     $     .02595,  .01728,  .01892,
     5  .02399,  .03247,  .05285,  .06462,
     $     .06608,  .05930,  .05525,
     6  .04861,  .03753,  .02968,  .02348,
     $     .02165,
     7  .02152,  .01841,  .01104,  .00809,
     $     .00458,  .00332, 0.0/
      data ( troabs(ii,1), ii=1,47) /
     1  .69671,  .09905,  .06563,  .04101,
     $     .03354,  .03627,  .02810,
     2  .00873,  .00918,  .00930,  .03215,
     $     .01285,  .00513,  .00316,
     3  .00557,  .00494,  .00646,  .00867,
     $     .00937,  .01025,  .01646,
     4  .01481,  .02418,  .02886,  .03070,
     $     .04032,  .01494,  .01139,
     5  .00873,  .00816,  .00797,  .01133,
     $     .01911,  .01215,  .01329,
     6  .01101,  .01291,  .01266,  .01418,
     $     .01487,
     7  .01543,  .01321,  .00793,  .00582,
     $     .00330,  .00239, 0.0/
      data ( troabs(ii,2), ii=1,47) /
     1  .65000,  .08791,  .05816,  .03652,
     $     .02994,  .03278,  .02557,
     2  .00810,  .00842,  .00867,  .03139,
     $     .03949,  .00646,  .00316,
     3  .00595,  .00519,  .00646,  .01304,
     $     .01247,  .01095,  .01620,
     4  .01449,  .02278,  .02930,  .03184,
     $     .04063,  .01544,  .01234,
     5  .01044,  .01076,  .01272,  .01741,
     $     .02462,  .01722,  .01747,
     6  .01506,  .01551,  .01456,  .01532,
     $     .01582,
     7  .01619,  .01386,  .00832,  .00610,
     $     .00346,  .00251, 0.0/
      data ( troabs(ii,3), ii=1,47) /
     1  .52804,  .06367,  .04158,  .02633,
     $     .02184,  .02443,  .01937,
     2  .00658,  .00646,  .00709,  .02949,
     $     .10013,  .00968,  .00310,
     3  .00677,  .00582,  .00646,  .02361,
     $     .01994,  .01266,  .01544,
     4  .01386,  .01968,  .02848,  .03203,
     $     .03854,  .01620,  .01449,
     5  .01462,  .01747,  .02513,  .03253,
     $     .03797,  .03019,  .02861,
     6  .02538,  .02215,  .01930,  .01797,
     $     .01791,
     7  .01797,  .01539,  .00924,  .00677,
     $     .00384,  .00278, 0.0/
      data ( troabs(ii,4), ii=1,47) /
     1  .19829,  .01842,  .01215,  .00791,
     $     .00665,  .00778,  .00652,
     2  .00361,  .00253,  .00399,  .02570,
     $     .20690,  .01715,  .00316,
     3  .00873,  .00728,  .00658,  .04481,
     $     .03525,  .01646,  .01405,
     4  .01310,  .01468,  .01956,  .02184,
     $     .02367,  .01608,  .01816,
     5  .02342,  .03203,  .05234,  .06399,
     $     .06538,  .05867,  .05456,
     6  .04810,  .03715,  .02949,  .02335,
     $     .02158,
     7  .02149,  .01840,  .01104,  .00809,
     $     .00458,  .00332, 0.0/
      data ( trosym(ii,1), ii=1,47) /
     1  .7518,   .6710,   .6638,   .6345,
     $     .6152,   .5736,   .5280,
     2  .4949,   .4700,   .4467,   .4204,
     $     .4028,   .3777,   .3563,
     3  .3150,   .2919,   .2695,   .2465,
     $     .2402,   .2313,   .2101,
     4  .1760,   .1532,   .2091,   .2079,
     $     .1843,   .1811,   .1687,
     5  .1626,   .1526,   .1356,   .1030,
     $     .0962,   .1024,   .1086,
     6  .0928,   .0836,   .0643,   .0451,
     $     .0290,   .0156,   .0118,
     7  .0076,   .0050,   .0024,   .0015,
     $     .0000/
      data ( trosym(ii,2), ii=1,47) /
     1  .7571,   .6858,   .6790,   .6510,
     $     .6315,   .5887,   .5418,
     2  .5075,   .4829,   .4598,   .4338,
     $     .4043,   .3890,   .3680,
     3  .3259,   .3026,   .2800,   .2541,
     $     .2494,   .2414,   .2196,
     4  .1873,   .1657,   .2123,   .2110,
     $     .1890,   .1836,   .1709,
     5  .1640,   .1534,   .1354,   .1044,
     $     .0984,   .1026,   .1073,
     6  .0935,   .0842,   .0661,   .0477,
     $     .0309,   .0171,   .0129,
     7  .0084,   .0056,   .0027,   .0017,
     $     .0000/
      data ( trosym(ii,3), ii=1,47) /
     1  .7667,   .7176,   .7128,   .6879,
     $     .6690,   .6255,   .5769,
     2  .5403,   .5167,   .4947,   .4703,
     $     .4143,   .4190,   .3993,
     3  .3563,   .3325,   .3095,   .2767,
     $     .2751,   .2693,   .2464,
     4  .2175,   .1992,   .2247,   .2215,
     $     .2042,   .1952,   .1814,
     5  .1726,   .1604,   .1398,   .1111,
     $     .1065,   .1068,   .1086,
     6  .0984,   .0888,   .0724,   .0549,
     $     .0358,   .0216,   .0166,
     7  .0109,   .0073,   .0036,   .0023,
     $     .0000/
      data ( trosym(ii,4), ii=1,47) /
     1  .7696,   .7719,   .7710,   .7606,
     $     .7478,   .7142,   .6727,
     2  .6381,   .6201,   .6050,   .5912,
     $     .4849,   .5137,   .5019,
     3  .4625,   .4389,   .4169,   .3696,
     $     .3707,   .3708,   .3473,
     4  .3232,   .3112,   .3022,   .2938,
     $     .2850,   .2675,   .2494,
     5  .2347,   .2165,   .1857,   .1536,
     $     .1509,   .1441,   .1416,
     6  .1354,   .1245,   .1088,   .0905,
     $     .0614,   .0440,   .0354,
     7  .0257,   .0179,   .0089,   .0059,
     $     .0000/
      data fg1ext /
     1  .98519,  .99158,  .99089, 1.00000,
     $     1.00576, 1.01747, 1.03177,
     2 1.04146, 1.04696, 1.05323, 1.05886,
     $     1.04899, 1.06823, 1.07804,
     3 1.09272, 1.10367, 1.11684, 1.10430,
     $     1.11367, 1.12899, 1.14987,
     4 1.17209, 1.18278, 1.20133, 1.21266,
     $     1.21949, 1.22677, 1.15589,
     5 1.05684,  .98291, 1.01120, 1.10911,
     $     1.11462, 1.14671, 1.16247,
     6 1.18540, 1.21580, 1.24610, 1.26840,
     $     1.20500, 1.20850, 1.23340,
     7 1.19560, 1.06530,  .68949,  .42888,
     $     0.00000/
      data fg1abs /
     1  .00013, 0.00000, 0.00000, 0.00000,
     $     0.00000,  .00095,  .01513,
     2  .10861,  .03892,  .13272,  .47133,
     $     .49696,  .45785,  .17918,
     3  .37373,  .34601,  .31867,  .55190,
     $     .55025,  .49987,  .46342,
     4  .45943,  .45918,  .46089,  .46241,
     $     .46386,  .47196,  .48905,
     5  .51468,  .53101,  .55266,  .58665,
     $     .58899,  .60367,  .61158,
     6  .62335,  .64120,  .65627,  .66278,
     $     .66393,  .69344,  .71087,
     7  .67625,  .61180,  .42130,  .29086,
     $     0.00000/
      data fg1sym /
     1  .8578,   .8726,   .8722,   .8717,
     $     .8703,   .8652,   .8618,
     2  .8798,   .8689,   .8918,   .9641,
     $     .9502,   .9297,   .8544,
     3  .9007,   .8885,   .8812,   .9604,
     $     .9470,   .9193,   .9039,
     4  .9039,   .9057,   .9110,   .9158,
     $     .9194,   .9381,   .9537,
     5  .9595,   .9587,   .9418,   .9101,
     $     .9081,   .8957,   .8898,
     6  .8812,   .8685,   .8491,   .8246,
     $     .7815,   .7148,   .6480,
     7  .5481,   .4725,   .3457,   .2575,
     $     .0000/
      data fg2ext /
     1  .94791,  .96215,  .97063, 1.00000,
     $     1.00937, 1.05177, 1.12519,
     2 1.29570, 1.39203, 1.41120, 1.04715,
     $     1.10816, 1.43285, 1.45272,
     3 1.18709, 1.04367,  .82354,  .71747,
     $     .92405,  .79342,  .60266,
     4  .47677,  .43171,  .36734,  .33259,
     $     .31184,  .24139,  .21601,
     5  .24006,  .28816,  .42671,  .56861,
     $     .57266,  .58089,  .57165,
     6  .54247,  .43983,  .34475,  .24907,
     $     .19291,  .18500,  .15586,
     7  .09047,  .06445,  .03533,  .02529,
     $     0.00000/
      data fg2abs /
     1 0.00000, 0.00000, 0.00000, 0.00000,
     $     0.00000,  .00013,  .00247,
     2  .01987,  .00620,  .02323,  .17209,
     $     .57930,  .19810,  .03475,
     3  .09639,  .08000,  .06582,  .34589,
     $     .32703,  .17025,  .12633,
     4  .11816,  .11627,  .11519,  .11538,
     $     .11601,  .12329,  .14468,
     5  .18633,  .24057,  .35411,  .44886,
     $     .45095,  .45215,  .44278,
     6  .41778,  .34433,  .27826,  .21066,
     $     .17864,  .17626,  .15028,
     7  .08844,  .06358,  .03515,  .02523,
     $     0.00000/
      data fg2sym /
     1  .8388,   .8459,   .8419,   .8286,
     $     .8224,   .7883,   .7763,
     2  .8133,   .8393,   .8767,   .9258,
     $     .8982,   .7887,   .8082,
     3  .8319,   .8243,   .8210,   .8282,
     $     .8037,   .7904,   .7728,
     4  .7528,   .7436,   .7274,   .7171,
     $     .7100,   .6790,   .6520,
     5  .6305,   .6020,   .5475,   .4577,
     $     .4511,   .4084,   .3872,
     6  .3566,   .2976,   .2340,   .1711,
     $     .0956,   .0623,   .0454,
     7  .0286,   .0190,   .0090,   .0052,
     $     .0000/
      data bstext /
     e 2.0752e0,  1.8656e0,  1.7246e0,  1.0000e0,  7.0156e-1, 3.0170e-1,
     e 1.1440e-1, 5.1225e-2, 3.4285e-2, 2.3475e-2, 1.6878e-2, 6.6506e-2,
     e 1.0943e-1, 8.9653e-2, 6.7609e-2, 5.2855e-2, 6.7496e-2, 5.7975e-2,
     e 4.2471e-2, 2.4176e-2, 4.6102e-2, 1.2339e-1, 1.7699e-1, 1.2389e-1,
     e 9.0220e-2, 8.5793e-2, 3.2838e-2, 2.6528e-2, 5.0703e-2, 1.9471e-2,
     e 1.1710e-2, 1.6106e-2, 1.7716e-2, 3.9533e-2, 3.7954e-2, 5.4871e-3,
     e 8.8409e-3, 1.2289e-3, 1.0647e-3, 3.3151e-3, 4.5164e-3, 4.1496e-3,
     e 3.2801e-3, 2.4481e-3, 1.0714e-3, 5.0381e-4, 1.2101e-4/
      data bstabs /
     a 2.4347e-7, 1.4949e-7, 1.3020e-7, 6.8716e-8, 1.0053e-7, 4.2384e-6,
     a 2.3075e-4, 1.4889e-3, 1.8377e-3, 3.3645e-3, 4.6858e-3, 5.9424e-2,
     a 1.0129e-1, 8.2396e-2, 6.3621e-2, 5.0327e-2, 6.5798e-2, 5.6149e-2,
     a 4.0939e-2, 2.3226e-2, 4.5800e-2, 1.2276e-1, 1.7568e-1, 1.2216e-1,
     a 8.9058e-2, 8.4861e-2, 3.1979e-2, 2.6097e-2, 5.0244e-2, 1.9042e-2,
     a 1.1497e-2, 1.6024e-2, 1.7639e-2, 3.9452e-2, 3.7847e-2, 5.4251e-3,
     a 8.8160e-3, 1.2118e-3, 1.0579e-3, 3.3122e-3, 4.5150e-3, 4.1489e-3,
     a 3.2799e-3, 2.4481e-3, 1.0713e-3, 5.0381e-4, 1.2101e-4/
      data bstsym /
     g 0.6749, 0.6943, 0.6991, 0.6846,
     $     0.6572, 0.5861, 0.4965, 0.4164,
     g 0.3772, 0.3385, 0.3069, 0.2599,
     $     0.2234, 0.2028, 0.1554, 0.1291,
     g 0.1057, 0.0962, 0.0909, 0.0802,
     $     0.0595, 0.0458, 0.0413, 0.0479,
     g 0.0483, 0.0451, 0.0504, 0.0379,
     $     0.0346, 0.0365, 0.0273, 0.0180,
     g 0.0174, 0.0144, 0.0151, 0.0141,
     $     0.0094, 0.0075, 0.0049, 0.0031,
     g 0.0020, 0.0014, 0.0008, 0.0005,
     $     0.0002, 0.0001, 0.0001/
      data avoext /
     1 1.14880, 1.19171, 1.18013, 1.00000,
     $     .84873,  .53019,  .27968,
     2  .14551,  .11070,  .08633,  .07184,
     $     .06076,  .04506,  .03399,
     3  .02095,  .01538,  .01266,  .01019,
     $     .00994,  .01044,  .01361,
     4  .01791,  .02278,  .02918,  .03108,
     $     .03234,  .03456,  .03184,
     5  .02772,  .02475,  .01715,  .01563,
     $     .01665,  .01646,  .01734,
     6  .01772,  .01076,  .01051,  .01133,
     $     .01329,
     7  .01492,  .01277,  .00766,  .00562,
     $     .00318,  .00231, 0.0/
      data avoabs /
     1  .44816,  .11259,  .08500,  .05272,
     $     .04082,  .02449,  .01487,
     2  .01019,  .00867,  .00842,  .00842,
     $     .00949,  .00741,  .00487,
     3  .00316,  .00335,  .00399,  .00449,
     $     .00525,  .00665,  .01114,
     4  .01652,  .02177,  .02437,  .02506,
     $     .02658,  .03006,  .02861,
     5  .02513,  .02285,  .01620,  .01532,
     $     .01633,  .01620,  .01709,
     6  .01741,  .01057,  .01038,  .01127,
     $     .01329,
     7  .01492,  .01277,  .00766,  .00562,
     $     .00318,  .00231, 0.0/
      data avosym /
     1  .8272,   .7148,   .7076,   .6978,
     $      .6886,   .6559,   .6062,
     2  .5561,   .5255,   .4958,   .4729,
     $     .4401,   .4015,   .3699,
     3  .3125,   .2773,   .2472,   .2173,
     $     .2054,   .1908,   .1623,
     4  .1348,   .1233,   .1615,   .1757,
     $     .1712,   .1521,   .1326,
     5  .1230,   .1081,   .0801,   .0528,
     $     .0514,   .0461,   .0446,
     6  .0449,   .0415,   .0330,   .0198,
     $     .0097,   .0044,   .0032,
     7  .0020,   .0013,   .0006,   .0004,
     $     .0000/
      data fvoext /
     1  .88715,  .92532,  .94013, 1.00000,
     $     1.03013, 1.05975, 1.01171,
     2  .88677,  .82538,  .76361,  .71563,
     $     .67424,  .60589,  .55057,
     3  .45222,  .37646,  .32316,  .25519,
     $     .22728,  .20525,  .17810,
     4  .14481,  .14152,  .37639,  .44551,
     $     .44405,  .42222,  .36462,
     5  .32551,  .27519,  .16728,  .10627,
     $     .10861,  .10886,  .11665,
     6  .13127,  .10108,  .08557,  .06411,
     $     .05741,
     7  .05531,  .04707,  .02792,  .02028,
     $     .01136,  .00820, 0.0/
      data fvoabs /
     1  .41582,  .22892,  .19108,  .14468,
     $     .12475,  .09158,  .06601,
     2  .04943,  .04367,  .04342,  .04399,
     $     .05076,  .04133,  .02829,
     3  .01924,  .01981,  .02297,  .02475,
     $     .02778,  .03411,  .05335,
     4  .07133,  .08816,  .15342,  .18506,
     $     .19354,  .20791,  .18449,
     5  .16101,  .13759,  .08456,  .06886,
     $     .07278,  .07367,  .07956,
     6  .08785,  .06032,  .05747,  .05133,
     $     .05323,
     7  .05453,  .04657,  .02773,  .02020,
     $     .01135,  .00820, 0.0/
      data fvosym /
     1  .9295,   .8115,   .7897,   .7473,
     $     .7314,   .7132,   .7113,
     2  .7238,   .7199,   .7165,   .7134,
     $     .6989,   .6840,   .6687,
     3  .6409,   .6325,   .6199,   .6148,
     $     .6142,   .6072,   .5853,
     4  .5632,   .5486,   .4753,   .4398,
     $     .4329,   .4091,   .4105,
     5  .4120,   .4136,   .4140,   .3637,
     $     .3577,   .3344,   .3220,
     6  .3052,   .2957,   .2564,   .2055,
     $     .1229,   .0632,   .0483,
     7  .0321,   .0216,   .0103,   .0059,
     $     .0000/
      data dmeext /
     1 1.05019, 1.05880, 1.05259, 1.00000,
     $     .94949,  .81456,  .66051,
     2  .54380,  .49133,  .44677,  .41671,
     $     .38063,  .34778,  .32804,
     3  .29722,  .27506,  .25082,  .22620,
     $     .21652,  .20253,  .17266,
     4  .14905,  .14234,  .14082,  .15057,
     $     .16399,  .23608,  .24481,
     5  .27791,  .25076,  .15272,  .09601,
     $     .09456,  .14576,  .12373,
     6  .18348,  .12190,  .12924,  .08538,
     $     .04108,
     7  .04714,  .04069,  .02480,  .01789,
     $     .00980,  .00693, 0.0/
      data dmeabs /
     1  .00063,  .00152,  .00184,  .00506,
     $     .00791,  .01829,  .03728,
     2  .06158,  .07538,  .08943,  .10051,
     $     .11614,  .13310,  .14348,
     3  .14633,  .13728,  .12462,  .11184,
     $     .10709,  .10076,  .09006,
     4  .08734,  .09000,  .10304,  .11905,
     $     .13437,  .19551,  .20095,
     5  .22494,  .18418,  .09285,  .06665,
     $     .06823,  .12329,  .10551,
     6  .16184,  .09835,  .10582,  .06759,
     $     .03247,
     7  .04405,  .03816,  .02327,  .01696,
     $     .00946,  .00677, 0.0/
      data dmesym /
     1  .7173,   .7039,   .7020,   .6908,
     $     .6872,   .6848,   .6891,
     2  .6989,   .7046,   .7099,   .7133,
     $     .7159,   .7134,   .7058,
     3  .6827,   .6687,   .6583,   .6513,
     $     .6494,   .6475,   .6467,
     4  .6496,   .6506,   .6461,   .6334,
     $     .6177,   .5327,   .5065,
     5  .4632,   .4518,   .5121,   .5450,
     $     .5467,   .4712,   .4853,
     6  .3984,   .4070,   .3319,   .3427,
     $     .3766,   .3288,   .2969,
     7  .2808,   .2661,   .2409,   .2098,
     $     .0000/
      data ccuext /
     1  .98081,  .98746,  .98915, 1.00000,
     $     1.00650, 1.02230, 1.04180,
     2 1.05830, 1.06780, 1.07870, 1.09780,
     $     1.06440, 1.09750, 1.11300,
     3 1.14320, 1.16660, 1.20540, 1.15420,
     $     1.17610, 1.21910, 1.26990,
     4 1.30300, 1.31090, 1.31060, 1.29940,
     $     1.28640, 1.16620,  .98693,
     5  .88130,  .83429,  .92012, 1.07340,
     $     1.08150, 1.12680, 1.14770,
     6 1.17600, 1.19210, 1.19120, 1.14510,
     $     .97814,  .96308,  .94390,
     7  .75994,  .56647,  .26801,  .15748,
     $     0.00000/
      data ccuabs /
     1  .00007,  .00001,  .00000,  .00000,
     $     .00001,  .00059,  .00956,
     2  .07224,  .02502,  .08913,  .41512,
     $     .51824,  .41304,  .12614,
     3  .29826,  .26739,  .23672,  .55428,
     $     .55642,  .44494,  .38433,
     4  .37277,  .37000,  .36872,  .36896,
     $     .36984,  .37868,  .40498,
     5  .44993,  .48941,  .54799,  .60964,
     $     .61302,  .63227,  .64074,
     6  .65112,  .65367,  .64760,  .61924,
     $     .59000,  .61601,  .61058,
     7  .49236,  .38532,  .20641,  .13474,
     $     0.00000/
      data ccusym /
     1  .8557,   .8676,   .8680,   .8658,
     $     .8630,   .8557,   .8496,
     2  .8566,   .8464,   .8627,   .9417,
     $     .9458,   .8891,   .8136,
     3  .8503,   .8400,   .8453,   .9428,
     $     .9168,   .8759,   .8733,
     4  .8841,   .8894,   .8986,   .9044,
     $     .9082,   .9239,   .9342,
     5  .9367,   .9331,   .9119,   .8719,
     $     .8692,   .8515,   .8424,
     6  .8287,   .8059,   .7742,   .7354,
     $     .6554,   .5557,   .4720,
     7  .3713,   .2990,   .1846,   .1156,
     $     .0000/
      data calext /
     1  .97331,  .98106,  .98472, 1.00000,
     $     1.00850, 1.03090, 1.05770,
     2 1.08070, 1.09390, 1.11530, 1.20260,
     $     1.08250, 1.13480, 1.16770,
     3 1.26750, 1.33520, 1.41110, 1.18200,
     $     1.28390, 1.38040, 1.38430,
     4 1.31200, 1.26540, 1.17160, 1.10410,
     $     1.05640,  .83383,  .66530,
     5  .61995,  .62907,  .77190,  .96660,
     $     .97609, 1.02520, 1.04380,
     6 1.06270, 1.02550,  .95714,  .82508,
     $     .63464,  .60962,  .54998,
     7  .34165,  .22587,  .10647,  .07067,
     $     0.00000/
      data calabs /
     1  .00004,  .00000,  .00000,  .00000,
     $     .00000,  .00036,  .00607,
     2  .04771,  .01579,  .05734,  .33199,
     $     .54434,  .35157,  .08528,
     3  .21785,  .18813,  .15982,  .52068,
     $     .52125,  .35294,  .28359,
     4  .26999,  .26668,  .26477,  .26484,
     $     .26565,  .27546,  .30540,
     5  .36011,  .41780,  .51479,  .60420,
     $     .60818,  .62781,  .63339,
     6  .63544,  .60762,  .56843,  .50067,
     $     .44739,  .45910,  .42486,
     7  .27527,  .19352,  .09932,  .06832,
     $     0.00000/
      data calsym /
     1  .8523,   .8632,   .8623,   .8573,
     $     .8532,   .8422,   .8297,
     2  .8252,   .8145,   .8317,   .9312,
     $     .9383,   .8291,   .7640,
     3  .8202,   .8276,   .8547,   .9224,
     $     .8859,   .8621,   .8706,
     4  .8780,   .8804,   .8833,   .8849,
     $     .8858,   .8889,   .8899,
     5  .8872,   .8790,   .8513,   .7984,
     $     .7944,   .7683,   .7545,
     6  .7333,   .6939,   .6405,   .5727,
     $     .4313,   .3156,   .2437,
     7  .1693,   .1185,   .0574,   .0332,
     $     .0000/
      data cstext /
     1  .97430,  .98324,  .98570, 1.00000,
     $     1.00890, 1.03100, 1.05590,
     2 1.08130, 1.09760, 1.12170, 1.16390,
     $     1.07880, 1.13660, 1.16990,
     3 1.22930, 1.26720, 1.31080, 1.15290,
     $     1.23270, 1.29770, 1.31180,
     4 1.27830, 1.25190, 1.19190, 1.14390,
     $     1.10790,  .91743,  .74497,
     5  .68246,  .67604,  .80234,  .98329,
     $     .99219, 1.03880, 1.05710,
     6 1.07730, 1.05460, 1.00640,  .90146,
     $     .71967,  .69823,  .65179,
     7  .44906,  .30781,  .14114,  .08913,
     $     0.00000/
      data cstabs /
     1  .00005,  .00001,  .00000,  .00000,
     $     .00000,  .00042,  .00681,
     2  .05317,  .01779,  .06484,  .35033,
     $     .53843,  .36321,  .09457,
     3  .23629,  .20663,  .17789,  .52440,
     $     .52484,  .37331,  .30681,
     4  .29375,  .29057,  .28880,  .28887,
     $     .28969,  .29913,  .32789,
     5  .37961,  .43212,  .51866,  .60025,
     $     .60398,  .62285,  .62874,
     6  .63229,  .61185,  .58151,  .52536,
     $     .47993,  .49571,  .47074,
     7  .33104,  .24066,  .12346,  .08312,
     $     0.00000/
      data cstsym /
     1  .8519,   .8633,   .8629,   .8590,
     $     .8546,   .8432,   .8328,
     2  .8330,   .8251,   .8439,   .9332,
     $     .9388,   .8422,   .7823,
     3  .8288,   .8291,   .8482,   .9255,
     $     .8906,   .8613,   .8675,
     4  .8772,   .8810,   .8869,   .8905,
     $     .8927,   .9016,   .9069,
     5  .9060,   .8989,   .8714,   .8204,
     $     .8168,   .7932,   .7811,
     6  .7628,   .7319,   .6905,   .6401,
     $     .5324,   .4233,   .3459,
     7  .2636,   .2027,   .1120,   .0663,
     $     .0000/
      data cscext /
     1  .96965,  .97960,  .98266, 1.00000,
     $     1.01040, 1.03530, 1.06590,
     2 1.09980, 1.12280, 1.16020, 1.20330,
     $     1.08630, 1.16840, 1.21860,
     3 1.28860, 1.32310, 1.33780, 1.11630,
     $     1.24450, 1.30260, 1.26260,
     4 1.17670, 1.12990, 1.04180,  .98070,
     $     .93828,  .74401,  .59962,
     5  .56489,  .57976,  .72193,  .90905,
     $     .91772,  .96075,  .97500,
     6  .98623,  .93761,  .86388,  .73722,
     $     .56926,  .54699,  .49341,
     7  .31131,  .20846,  .09872,  .06531,
     $     0.00000/
      data cscabs /
     1  .00004,  .00000,  .00000,  .00000,
     $     .00000,  .00035,  .00553,
     2  .04382,  .01430,  .05271,  .30881,
     $     .54982,  .32983,  .07796,
     3  .20033,  .17269,  .14662,  .49557,
     $     .49304,  .32632,  .26104,
     4  .24829,  .24525,  .24349,  .24358,
     $     .24437,  .25378,  .28239,
     5  .33510,  .39227,  .49203,  .58265,
     $     .58638,  .60338,  .60677,
     6  .60472,  .56954,  .52556,  .45708,
     $     .40717,  .41646,  .38375,
     7  .25009,  .17726,  .09148,  .06291,
     $     0.00000/
      data cscsym /
     1  .8495,   .8597,   .8594,   .8535,
     $     .8479,   .8349,   .8214,
     2  .8192,   .8151,   .8395,   .9321,
     $     .9329,   .8156,   .7722,
     3  .8270,   .8319,   .8533,   .9138,
     $     .8772,   .8562,   .8628,
     4  .8691,   .8713,   .8742,   .8759,
     $     .8768,   .8805,   .8818,
     5  .8783,   .8685,   .8362,   .7776,
     $     .7734,   .7458,   .7317,
     6  .7106,   .6738,   .6250,   .5655,
     $     .4409,   .3338,   .2655,
     7  .1947,   .1427,   .0727,   .0422,
     $     .0000/
      data cniext /
     1  .97967,  .98623,  .98795, 1.00000,
     $     1.00710, 1.02340, 1.04300,
     2 1.06100, 1.07130, 1.08440, 1.10650,
     $     1.06540, 1.10200, 1.12040,
     3 1.15490, 1.17990, 1.21730, 1.15000,
     $     1.18140, 1.22610, 1.26770,
     4 1.28840, 1.29070, 1.28200, 1.26650,
     $     1.25130, 1.12860,  .95670,
     5  .85784,  .81564,  .90486, 1.05950,
     $     1.06760, 1.11240, 1.13250,
     6 1.15910, 1.16960, 1.16290, 1.11130,
     $     .94771,  .93251,  .91151,
     7  .73279,  .55018,  .26554,  .15656,
     $     0.00000/
      data cniabs /
     1  .00007,  .00001,  .00000,  .00000,
     $     .00001,  .00058,  .00948,
     2  .07084,  .02436,  .08711,  .40714,
     $     .52024,  .40688,  .12335,
     3  .29163,  .26107,  .23098,  .54886,
     $     .55047,  .43579,  .37552,
     4  .36411,  .36140,  .36017,  .36043,
     $     .36132,  .37019,  .39640,
     5  .44146,  .48184,  .54304,  .60651,
     $     .60988,  .62882,  .63682,
     6  .64613,  .64572,  .63682,  .60584,
     $     .57559,  .60014,  .59283,
     7  .47587,  .37364,  .20267,  .13269,
     $     0.00000/
      data cnisym /
     1  .8550,   .8670,   .8677,   .8645,
     $     .8616,   .8538,   .8474,
     2  .8534,   .8439,   .8609,   .9411,
     $     .9449,   .8822,   .8101,
     3  .8486,   .8403,   .8475,   .9405,
     $     .9134,   .8749,   .8732,
     4  .8833,   .8882,   .8968,   .9025,
     $     .9061,   .9217,   .9322,
     5  .9346,   .9308,   .9086,   .8669,
     $     .8641,   .8457,   .8364,
     6  .8222,   .7992,   .7677,   .7298,
     $     .6525,   .5558,   .4752,
     7  .3796,   .3105,   .1995,   .1287,
     $     .0000/
c          extinction  coefficients
      data ci64xt/
     1   9.947e-01,  9.968e-01,  9.972e-01,  1.000e+00,  1.002e+00,
     2   1.005e+00,  1.010e+00,  1.013e+00,  1.016e+00,  1.018e+00,
     3   1.019e+00,  1.016e+00,  1.023e+00,  1.026e+00,  1.030e+00,
     4   1.033e+00,  1.036e+00,  1.037e+00,  1.038e+00,  1.040e+00,
     5   1.043e+00,  1.047e+00,  1.049e+00,  1.051e+00,  1.052e+00,
     6   1.053e+00,  1.055e+00,  1.032e+00,  1.034e+00,  1.047e+00,
     7   1.060e+00,  1.074e+00,  1.075e+00,  1.081e+00,  1.085e+00,
     8   1.090e+00,  1.102e+00,  1.117e+00,  1.131e+00,  1.094e+00,
     9   1.168e+00,  1.187e+00,  1.244e+00,  1.297e+00,  1.475e+00,
     x   1.695e+00,  1.556e+00 /
c         absorption  coefficients
      data ci64ab/
     1   7.893e-05,  1.914e-05,  1.450e-05,  5.904e-06,  3.905e-05,
     2   1.917e-03,  2.604e-01,  3.732e-01,  8.623e-02,  2.253e-01,
     3   4.152e-01,  4.460e-01,  4.660e-01,  4.589e-01,  4.848e-01,
     4   4.786e-01,  4.915e-01,  4.944e-01,  4.936e-01,  4.947e-01,
     5   4.978e-01,  5.012e-01,  5.028e-01,  5.070e-01,  5.095e-01,
     6   5.111e-01,  5.205e-01,  5.126e-01,  4.969e-01,  4.868e-01,
     7   4.836e-01,  4.982e-01,  4.999e-01,  5.097e-01,  5.126e-01,
     8   5.188e-01,  5.108e-01,  4.915e-01,  5.559e-01,  5.515e-01,
     9   5.600e-01,  5.948e-01,  6.225e-01,  6.348e-01,  5.693e-01,
     x   3.306e-01,  8.661e-02 /
c         asymmetry  parameter  -  g
      data ci64g/
     1   .8626,  .8824,  .8851,  .8893,
     $     .8904,  .8913,  .9332,  .9549,
     2   .9141,  .9407,  .9763,  .9428,
     $     .9509,  .9580,  .9699,  .9679,
     3   .9735,  .9737,  .9717,  .9712,
     $     .9712,  .9715,  .9721,  .9744,
     4   .9756,  .9764,  .9822,  .9849,
     $     .9721,  .9530,  .9341,  .9352,
     5   .9366,  .9426,  .9425,  .9448,
     $     .9365,  .9256,  .9485,  .9417,
     6   .8868,  .8983,  .8589,  .8115,
     $     .6810,  .5923,  .5703 /
c          extinction coefficients
      data cir4xt/
     1   9.685e-01,  9.803e-01,  9.826e-01,  1.000e+00,  1.011e+00,
     2   1.038e+00,  1.066e+00,  1.090e+00,  1.118e+00,  1.201e+00,
     3   1.374e+00,  1.019e+00,  1.143e+00,  1.198e+00,  1.331e+00,
     4   1.434e+00,  1.424e+00,  1.283e+00,  1.298e+00,  1.326e+00,
     5   1.287e+00,  1.230e+00,  1.191e+00,  1.048e+00,  9.634e-01,
     6   9.093e-01,  6.067e-01,  5.216e-01,  6.953e-01,  8.902e-01,
     7   1.083e+00,  1.228e+00,  1.214e+00,  1.076e+00,  1.032e+00,
     8   8.881e-01,  6.275e-01,  3.462e-01,  2.118e-01,  3.955e-01,
     9   5.089e-01,  3.012e-01,  1.235e-01,  5.377e-02,  2.068e-02,
     x   6.996e-03,  1.560e-03 /
c          absorption  coefficients
      data cir4ab/
     1   5.316e-06,  1.461e-06,  9.045e-07,  4.431e-07,  2.746e-06,
     2   1.413e-04,  2.920e-02,  5.578e-02,  6.844e-03,  2.151e-02,
     3   6.322e-02,  5.051e-01,  4.578e-01,  1.360e-01,  3.269e-01,
     4   1.572e-01,  2.246e-01,  4.176e-01,  4.282e-01,  3.802e-01,
     5   3.517e-01,  3.037e-01,  2.543e-01,  2.410e-01,  2.432e-01,
     6   2.438e-01,  2.346e-01,  3.747e-01,  4.839e-01,  5.722e-01,
     7   6.368e-01,  5.303e-01,  5.085e-01,  3.920e-01,  3.437e-01,
     8   2.481e-01,  1.175e-01,  7.172e-02,  1.108e-01,  3.459e-01,
     9   4.044e-01,  2.545e-01,  9.594e-02,  4.410e-02,  1.887e-02,
     x   6.433e-03,  1.456e-03 /
c        asymmetry  parameter  -  g
      data cir4g/
     1   .8517,  .8654,  .8661,  .8615,
     $     .8574,  .8447,  .8321,  .8248,
     2   .8227,  .8612,  .9363,  .9231,
     $     .8419,  .7550,  .8481,  .8358,
     3   .8718,  .8953,  .8884,  .8786,
     $     .8731,  .8660,  .8625,  .8652,
     4   .8659,  .8658,  .8676,  .8630,
     $     .8434,  .8194,  .7882,  .7366,
     5   .7339,  .7161,  .7015,  .6821,
     $     .6383,  .5823,  .4845,  .2977,
     6   .2295,  .1716,  .1228,  .0748,
     $     .0329,  .0186,  .0081 /
